Subject: Re: bug#23733: 24.5; Emacs sometimes inserts superfluous ">" when sending e-mails

From: Markus Triska <[email-masked]>
Date: Fri, 10 Jun 2016 18:59:48 +0200

Glenn Morris <[email-masked]> writes:

> I don't think there is a real bug here, though I would not be
> surprised to learn that Emacs sometimes leaves >From where strictly
> speaking it should put From.

I understand that it may be necessary to insert the ">" when Gnus sends
the message. But certainly the ">" that was inserted only to quote
"From" should not be shown on the *receiver* side. Instead, when Gnus
displays the received mail or (as in the case of the mailing list) a
HTML page is generated from received mails, the ">" should be stripped.

The main drawback I experience with the current behaviour is that even
if you send the mail with Gnus, and also read the received mail with
Gnus, the actual content of the mail is not preserved as intended.

Using quoted-printable (as Andreas suggested) may not help with this,
because this seems more of an issue with how Gnus or other clients
display received mails. It is only a minor issue, though I still would
appreciate if it could be fixed somehow in Gnus. Thank you!